Bug 246424 - www/py-jsonfield: Update to 3.1.0
Summary: www/py-jsonfield: Update to 3.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-05-12 19:23 UTC by Kai Knoblich
Modified: 2020-05-17 18:13 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
py-jsonfield-3.1.0.patch (1.87 KB, patch)
2020-05-12 19:23 UTC, Kai Knoblich
kai: maintainer-approval? (sunpoet)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-05-12 19:23:00 UTC
Created attachment 214423 [details]
py-jsonfield-3.1.0.patch

Hi Sunpoet,

attached is the patch that updates www/py-jsonfield to 3.1.0 and assigns it to Django 2.2 (current LTS release) by syncing it with the repo-copied port www/py-dj22-django-jsonfield. 

The latter one is also set as deprecated because it will be obsolete once www/py-jsonfield gets assigned to Django 2.2.

QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py36, py37 and py38 flavor) -> OK
- portlint -> OK
Comment 1 commit-hook freebsd_committer 2020-05-16 11:05:39 UTC
A commit references this bug:

Author: sunpoet
Date: Sat May 16 11:05:02 UTC 2020
New revision: 535461
URL: https://svnweb.freebsd.org/changeset/ports/535461

Log:
  Update to 3.1.0

  - Update RUN_DEPENDS: use Django 2.2
  - Mark www/py-dj22-jsonfield as DEPRECATED

  Changes:	https://github.com/rpkilby/jsonfield/blob/master/CHANGES.rst
  PR:		246424
  Submitted by:	kai

Changes:
  head/www/py-dj22-jsonfield/Makefile
  head/www/py-jsonfield/Makefile
  head/www/py-jsonfield/distinfo
Comment 2 Po-Chuan Hsieh freebsd_committer 2020-05-17 18:13:50 UTC
Committed. Thanks!